Bug 1564495 - Quota - Azure requested storage value differs from flavor image and from provisioned VM storage.
Summary: Quota - Azure requested storage value differs from flavor image and from prov...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Daniel Berger
QA Contact: Anurag
URL:
Whiteboard: :tenant
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-06 12:55 UTC by Anurag
Modified: 2019-02-07 23:01 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Comment 1 Tina Fitzgerald 2018-04-06 15:22:13 UTC
Hi Anurag,

I checked out the automation.log for request 40 on the your appliance and it looks like quota is working properly for the tag storage value:

[----] I, [2018-04-06T06:34:57.256578 #13173:a7510c]  INFO -- : Followed  Relationship [miqaedb:/System/Policy/MiqProvisionRequest_Approved#create]
[----] I, [2018-04-06T06:34:57.257010 #13173:a7510c]  INFO -- : Followed  Relationship [miqaedb:/System/Policy/request_approved#create]
[----] I, [2018-04-06T06:34:57.257479 #13173:a7510c]  INFO -- : Followed  Relationship [miqaedb:/System/Event/RequestEvent/Request/request_approved#create]
[----] I, [2018-04-06T06:34:57.536995 #18222:6d6b784]  INFO -- : <AEMethod validate_quota> Request: Provision from [centos-tmpl] to [test_ansinha] id: 40
[----] I, [2018-04-06T06:34:57.538748 #18222:6d6b784]  INFO -- : <AEMethod validate_quota> quota_warning: {:storage=>10737418240000, :vms=>10, :cpu=>20000, :memory=>107374182400000}
[----] I, [2018-04-06T06:34:57.539299 #18222:6d6b784]  INFO -- : <AEMethod validate_quota> quota_limits: {:storage=>10737418240, :vms=>20, :cpu=>20000, :memory=>214748364800000}

Notice the numbers here: Requested is less than the max value.
[----] I, [2018-04-06T06:34:57.540845 #18222:6d6b784]  INFO -- :
 <AEMethod validate_quota>
  Item: storage Used: (0) 
  Requested: (1 089 470 464) 
  Max:      (10 737 418 240) 
  
Can we close this ticket?

Thanks,
Tina

Comment 4 William Fitzgerald 2018-04-10 18:41:13 UTC
Hi Anurag,

I am trying to determine how to get the correct storage value from an Azure instance.
Can you try the same test with another Cloud provider?  I am trying to determine if this is just Azure or other cloud provider have a similar problem. 

Thanks

Billy

Comment 5 Anurag 2018-04-14 10:17:01 UTC
Hi Billy, 

I tested other cloud provider with similar issue but this issue is only reproducible with Azure provider.

Thanks,
-Anurag

Comment 6 William Fitzgerald 2018-04-16 14:15:55 UTC
Anurag,

Can we change the title of this BZ to reflect the real issue?  The issue is that Azure requested storage is incorrectly calculated.

Thanks

Billy

Comment 7 Anurag 2018-04-16 17:45:32 UTC
Hi Billy,

Sure change the name but make sure that you highlight the correct scenario where this issue is observed.

Thanks,
-Anurag

Comment 8 William Fitzgerald 2018-06-07 14:59:16 UTC
All of the root_disk_size values are the same for all Azure flavors.   We use this value for quota. Assigning to Porviders.

Comment 9 Daniel Berger 2018-06-12 15:32:10 UTC
Looks like we were calculating the disk size incorrectly.

https://github.com/ManageIQ/manageiq-providers-azure/pull/264

Comment 10 Anurag 2018-06-25 13:32:02 UTC
Hi Team,

I have verified this on version: Version 5.10.0.1.20180619163011_900fdc4, and it's working fine and this issue is resolved. Thanks for fixing this issue. Hence I am changing the status from on_qa to verified.

Thanks,
-Anurag

Comment 12 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.